Package org.apache.maven.scm.provider.local.metadata

## Class LocalScmMetadata

- java.lang.Object
- - org.apache.maven.scm.provider.local.metadata.LocalScmMetadata

All Implemented Interfaces:
  `java.io.Serializable`

    public class LocalScmMetadata
    extends java.lang.Object
    implements java.io.Serializable

Class LocalScmMetadata.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
`LocalScmMetadata()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRepositoryFileName​(java.lang.String string)` Method addRepositoryFileName.
`java.lang.String` `getModelEncoding()` Get the modelEncoding field.
`java.util.List` `getRepositoryFileNames()` Method getRepositoryFileNames.
`void` `removeRepositoryFileName​(java.lang.String string)` Method removeRepositoryFileName.
`void` `setModelEncoding​(java.lang.String modelEncoding)` Set the modelEncoding field.
`void` `setRepositoryFileNames​(java.util.List repositoryFileNames)` Set the list of filenames contained in the repository during last checkout or update operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalScmMetadata

    public LocalScmMetadata()

### Method Detail

#### addRepositoryFileName

    public void addRepositoryFileName​(java.lang.String string)

Method addRepositoryFileName.

Parameters:
  `string` -

#### getModelEncoding

    public java.lang.String getModelEncoding()

Get the modelEncoding field.

Returns:
  String

#### getRepositoryFileNames

    public java.util.List getRepositoryFileNames()

Method getRepositoryFileNames.

Returns:
  List

#### removeRepositoryFileName

    public void removeRepositoryFileName​(java.lang.String string)

Method removeRepositoryFileName.

Parameters:
  `string` -

#### setModelEncoding

    public void setModelEncoding​(java.lang.String modelEncoding)

Set the modelEncoding field.

Parameters:
  `modelEncoding` -

#### setRepositoryFileNames

    public void setRepositoryFileNames​(java.util.List repositoryFileNames)

Set the list of filenames contained in the repository during last checkout or update operation.

Parameters:
  `repositoryFileNames` -